[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Monochromator_flat` Component

Flat Monochromator crystal with anisotropic mosaic.

## Identification

- Author: Kristian Nielsen
- Origin: Risoe
- Date: 1999
- Version: 1.5

## Description

    Flat, infinitely thin mosaic crystal, useful as a monochromator or analyzer.
    For an unrotated monochromator component, the crystal surface lies in the Y-Z
    plane (ie. parallel to the beam).
    The mosaic is anisotropic gaussian, with different FWHMs in the Y and Z
    directions. The scattering vector is perpendicular to the surface.

    Example: Monochromator_flat(zmin=-0.1, zmax=0.1, ymin=-0.1, ymax=0.1,
              mosaich=30.0, mosaicv=30.0, r0=0.7, Q=1.8734)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
zmin | m | Lower z-bound of crystal |
zmax | m | Upper z-bound of crystal |
ymin | m | Lower y-bound of crystal |
ymax | m | Upper y-bound of crystal |
mosaich | arc minutes | Horisontal mosaic (in Z direction) (FWHM) | 30.0
mosaicv | arc minutes | Vertical mosaic (in Y direction) (FWHM) | 30.0
r0 | 1 | Maximum reflectivity | 0.7
Q | AA-1 | Magnitude of scattering vector | 1.8734
DM | Angstrom | monochromator d-spacing instead of Q = 2*pi/DM | 0

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
mos_rms_y |  |  |
mos_rms_z |  |  |
mos_rms_max |  |  |
mono_Q |  |  |

## Links

- Source code for `Monochromator_flat.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]